#################################################################################
#                                                                               #
#                       copyright (c) 2003 Ingeniweb SARL                       #
#                                                                               #
#################################################################################

"""I18NFolder"""

from Products.I18NFolder.config import *
from Products.CMFCore.DirectoryView import registerDirectory
from Products.CMFCore import utils, CMFCorePermissions
from Products.Archetypes.public import *
import I18NFolder

registerDirectory('skins', GLOBALS)
registerDirectory('skins/I18NFolder', GLOBALS)

# Initialization method
def initialize(context):
    
    from Products.I18NFolder import patches
    
    content_types, constructors, ftis = process_types(
        listTypes(PROJECTNAME),
        PROJECTNAME)

    utils.ContentInit(
        PROJECTNAME + ' Content',
        content_types      = content_types,
        permission         = DEFAULT_ADD_CONTENT_PERMISSION,
        extra_constructors = constructors,
        fti                = ftis,
        ).initialize(context)
    